Summary:    Conversion tool for PMDK pools
Name:       pmdk-convert
Version:    1.7
Release:    4%{?dist}
License:    BSD
URL:        https://github.com/pmem/pmdk-convert

Source0:    %{url}/releases/download/%{version}/pmdk-convert-%{version}.tar.gz
Source1:    https://github.com/pmem/pmdk/archive/1.0.tar.gz#/nvml-1.0.tar.gz
Source2:    https://github.com/pmem/pmdk/archive/1.1.tar.gz#/nvml-1.1.tar.gz
Source3:    https://github.com/pmem/pmdk/releases/download/1.2.4/pmdk-1.2.4.tar.gz
Source4:    https://github.com/pmem/pmdk/releases/download/1.3.3/pmdk-1.3.3.tar.gz
Source5:    https://github.com/pmem/pmdk/releases/download/1.4.3/pmdk-1.4.3.tar.gz
Source6:    https://github.com/pmem/pmdk/releases/download/1.5.2/pmdk-1.5.2.tar.gz
Source7:    https://github.com/pmem/pmdk/releases/download/1.6.1/pmdk-1.6.1.tar.gz
Source8:    https://github.com/pmem/pmdk/releases/download/1.7/pmdk-1.7.tar.gz

BuildRequires: cmake glibc-devel gcc g++ gdb
ExclusiveArch: x86_64

%description
pmdk-convert is a tool for conversion of PMDK pools from any version to any consecutive version.
Currently only libpmemobj pools require conversion and this tool supports only those kind of pools.

%prep
%autosetup -n %{name}-%{version} -p1
cp %{SOURCE1} 1.0.tar.gz
cp %{SOURCE2} 1.1.tar.gz
cp %{SOURCE3} 1.2.4.tar.gz
cp %{SOURCE4} 1.3.3.tar.gz
cp %{SOURCE5} 1.4.3.tar.gz
cp %{SOURCE6} 1.5.2.tar.gz
cp %{SOURCE7} 1.6.1.tar.gz
cp %{SOURCE8} 1.7.tar.gz

%build
mkdir build
cd build
%cmake .. -DTESTS_USE_FORCED_PMEM=ON
%cmake_build

%install
cd build
%cmake_install

%check
cd build
%ctest

%files
%license LICENSE
%doc ChangeLog README.md
%{_bindir}/pmdk-convert
%dir %{_libdir}/pmdk-convert
%{_libdir}/pmdk-convert/libpmem-convert.so
%{_libdir}/pmdk-convert/pmemobj_convert_v1.so
%{_libdir}/pmdk-convert/pmemobj_convert_v2.so
%{_libdir}/pmdk-convert/pmemobj_convert_v3.so
%{_libdir}/pmdk-convert/pmemobj_convert_v4.so
%{_libdir}/pmdk-convert/pmemobj_convert_v5.so
%{_libdir}/pmdk-convert/pmemobj_convert_v6.so
%{_mandir}/man1/pmdk-convert.1.gz

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Shuo Wang <abushwang@tencent.com> - 1.7-1
- initial build
